OnlyFans API
FanslyVault

Add Media to Album

Add one or more vault media to an album. Media can live in several albums at once — adding it here does not move it out of any other album.

POST
/api/fansly/{fanslyAccount}/vault/albums/{album_id}/media
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

album_id*string

The Fansly vault album ID.

Request Body

application/json

media_ids*array<string>

Fansly media IDs to add (the mediaId values from the List Vault Media endpoint).

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/vault/albums/943707572253241344/media" \  -H "Content-Type: application/json" \  -d '{    "media_ids": [      "935593979422982145",      "935378319027748866"    ]  }'
{
  "data": [
    {
      "id": "400000000000000011",
      "mediaId": "500000000000000001",
      "mediaType": 1,
      "albumId": "300000000000000004",
      "accountId": "800000000000000001",
      "createdAt": 1786491802794
    },
    {
      "id": "400000000000000012",
      "mediaId": "500000000000000020",
      "mediaType": 1,
      "albumId": "300000000000000004",
      "accountId": "800000000000000001",
      "createdAt": 1786491802794
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055790,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}